package com.pannk.demo.mms.modules.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.pannk.demo.mms.common.base.Result;
import com.pannk.demo.mms.modules.sys.entity.LoginForm;
import com.pannk.demo.mms.modules.sys.entity.SysUserEntity;

/**
 * 系统用户
 *
 * @author wolf
 */
public interface SysUserService extends IService<SysUserEntity> {

    /**
     * 查询用户
     *
     * @param userName 用户名
     * @return
     */
    SysUserEntity queryByUserName(String userName);

    /**
     * 登录
     *
     * @param loginForm 登录表单
     * @return
     */
    Result login(LoginForm loginForm);
}
