import Cookies from 'js-cookie'

const TokenKey = 'Admin-Token'

const UserId = 'User-Id'

export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

export function setUserId(userId) {
  return Cookies.set(UserId, userId)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}
